For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Fields
      • POSTCreate Project Field
      • PUTUpdate Project Field Definition (e.g. rename)
      • DELDelete Project Field
      • GETRetrieve ProjectField Value
      • PUTUpdate ProjectField Value
      • PUTUpdate Project Field Options (for dropdown types)
      • GETRetrieve All ProjectField Values
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Field

Update ProjectField Value

PUT
https://api.projectmanager.com/api/data/projects/:projectId/fields/:fieldId
PUT
/api/data/projects/:projectId/fields/:fieldId
$curl -X PUT https://api.projectmanager.com/api/data/projects/projectId/fields/fieldId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Sets or replaces the value of a ProjectField for a specific Project within your Workspace. This updates the stored value (e.g. "High", "123", "2025-01-15") for that project–field combination, not the field definition itself. Use UpdateProjectField or UpdateProjectFieldOptions to change the field's name or dropdown options. A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.
Was this page helpful?
Previous

Update Project Field Options (for dropdown types)

Next
Built with

Sets or replaces the value of a ProjectField for a specific Project within your Workspace. This updates the stored value (e.g. “High”, “123”, “2025-01-15”) for that project–field combination, not the field definition itself. Use UpdateProjectField or UpdateProjectFieldOptions to change the field’s name or dropdown options.

A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project for which to set this field value
fieldIdstringRequired
The unique identifier or short ID of the ProjectField

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new value for this ProjectField on the specified Project
valuestringOptional
The new value to be set for this ProjectField.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.